import 'package:example/app/routes/app_pages.dart';
import 'package:flutter/material.dart';

import 'package:get/get.dart';
import 'package:ourads/ourads.dart';

import '../controllers/home_controller.dart';

class HomeView extends GetView<HomeController> {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: Text('Full-Size Banner Ad'),
        centerTitle: true,
      ),
      body: Column(
        mainAxisAlignment: MainAxisAlignment.center,
        children: [
          Text(
            'Button Below will take you '
            'to the new screen '
            'and also shows you \n'
            'Interstitial Ad \n \n ',
            style: TextStyle(fontSize: 20, fontWeight: FontWeight.w600),
            textAlign: TextAlign.center,
          ),
          ElevatedButton(
            onPressed: () {
              OurAds.showInterstitialAd();
              Get.toNamed(Routes.SHOW_INTERSTITIAL_AD);
            },
            child: Text('Show Interstitial Ad'),
          )
        ],
      ),
    );
  }
}
