import 'package:get/get.dart';

import 'package:example/app/modules/home/bindings/home_binding.dart';
import 'package:example/app/modules/home/views/home_view.dart';
import 'package:example/app/modules/show_interstitial_ad/bindings/show_interstitial_ad_binding.dart';
import 'package:example/app/modules/show_interstitial_ad/views/show_interstitial_ad_view.dart';

part 'app_routes.dart';

class AppPages {
  AppPages._();

  static const INITIAL = Routes.HOME;

  static final routes = [
    GetPage(
      name: _Paths.HOME,
      page: () => HomeView(),
      binding: HomeBinding(),
    ),
    GetPage(
      name: _Paths.SHOW_INTERSTITIAL_AD,
      page: () => ShowInterstitialAdView(),
      binding: ShowInterstitialAdBinding(),
    ),
  ];
}
